---
outline: deep
---
# Customizing Agent Monitoring Items

## Customize Monitoring for Network Interfaces and Disk Partitions

Execute the following command to select network interfaces and partitions, then restart the Agent for changes to take effect:

```bash
/opt/nezha/agent/nezha-agent edit
```

## Additional Runtime Parameters

### Viewing Supported Parameters
To view the supported runtime parameters, please execute the following command:
```bash
./nezha-agent --help
```

### Configuring Parameters
If you installed the Agent using a one-click script, you can add or modify parameters by editing the system service configuration. Edit the file `/etc/systemd/system/nezha-agent.service` and append your desired parameters at the end of the `ExecStart=` line:

- `--report-delay`: Sets the interval for reporting system information. The default is 1 second. To reduce system resource usage, you can set this to 3 (valid range: 1-4 seconds).
- `--skip-conn`: Disables monitoring of network connections. Recommended for servers with high numbers of connections or high CPU usage.
- `--skip-procs`: Disables monitoring of process counts, helping to reduce resource usage of the Agent.
- `--disable-auto-update`: Disables the **automatic update** feature of the Agent, enhancing security.
- `--disable-force-update`: Disables the **forced update** feature of the Agent, enhancing security.
- `--disable-command-execute`: Prevents execution of any scheduled tasks or use of the WebSSH on the Agent, enhancing security.
- `--tls`: Enables SSL/TLS encryption. This should be enabled when you are using nginx to reverse proxy the Agent's gRPC connections and nginx is configured with SSL/TLS.
- `--use-ipv6-countrycode`: Forces the use of IPv6 addresses to query country codes. By default, the Agent uses IPv4 addresses to query country codes. If server supports IPv6 and the country code of the IPv4 address is different, can use this parameter.
- `--gpu`: Enables GPU monitoring. Note: Monitoring GPU usage may require installation of additional dependencies. For more details, refer to the documentation: [Enable GPU Monitoring](/en_US/guide/q9.html).
- `--temperature`: Enables hardware temperature monitoring. Only effective on supported hardware, some VPS may not be able to retrieve temperature information.
- `-d` `--debug`: Enables debug mode.
- `-u` `--ip-report-period`: Set IP update interval. Is only effective when the set value is higher than `--report-delay`. The default is 1800 seconds.
- `-k` `--insecure`: Disable TLS certificate integrity check. Useful in situations involving a self-signed certificate.